%define pypi_name qtconsole

Name:           jupyter-qtconsole
Version:        5.5.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Qt console (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-fix-requirements.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
Qt-based console for Jupyter with support for rich media output.

This package contains the jupyter-qtconsole tool.


%package -n     python3-%{name}
Summary:        Jupyter QT console APIs (Python 3)
Requires:       python3-qt5
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Qt-based console for Jupyter with support for rich media output.
Provide the "jupyter qtconsole" entry point.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files qtconsole


%files
%{_bindir}/jupyter-qtconsole


%files -n python3-%{name} -f %{pyproject_files}
%doc examples README.md
%license LICENSE



%changelog
* Tue Mar 04 2025 wally <wally> 5.5.1-2.mga10
+ Revision: 2160378
- rebuild for python3.13

* Tue Jan 09 2024 papoteur <papoteur> 5.5.1-1.mga10
+ Revision: 2029185
- add patch to relax requirements
- rebuild for python 3.12
- new version 5.5.1

* Thu Sep 08 2022 papoteur <papoteur> 5.3.2-2.mga9
+ Revision: 1885983
- Relax requirement on traitlets

* Wed Sep 07 2022 papoteur <papoteur> 5.3.2-1.mga9
+ Revision: 1884993
- new 5.3.2

* Wed Mar 23 2022 umeabot <umeabot> 5.1.0-3.mga9
+ Revision: 1823998
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 5.1.0-2.mga9
+ Revision: 1787003
- Rebuild for python-3.10

* Wed May 19 2021 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1725571
- new version: 5.1.0

* Sun Apr 18 2021 daviddavid <daviddavid> 5.0.3-1.mga9
+ Revision: 1716603
- new version: 5.0.3

* Sat Mar 27 2021 daviddavid <daviddavid> 5.0.1-2.mga9
+ Revision: 1710958
- rebuild for python 3.9
- fix python3 pkg name
- fix owner of python3 sitelib dir

* Thu Jan 07 2021 daviddavid <daviddavid> 5.0.1-1.mga8
+ Revision: 1669577
- new version: 5.0.1 (needed for spyder >=4, mga#28013)

* Tue Feb 18 2020 umeabot <umeabot> 4.6.0-2.mga8
+ Revision: 1538577
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 4.6.0-1.mga8
+ Revision: 1462340
- new version: 4.6.0

* Sat Sep 21 2019 daviddavid <daviddavid> 4.3.0-4.mga8
+ Revision: 1444391
- rebuild for python3.8

* Sat Jan 12 2019 tmb <tmb> 4.3.0-3.mga7
+ Revision: 1355290
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1279172
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 4.3.0-1.mga7
+ Revision: 1139303
- update to 4.3.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.2.1-2.mga7
+ Revision: 1135241
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.2.1-1.mga6
+ Revision: 1003492
- imported package jupyter-qtconsole

